Start a war room session
POST
/api/v1/warroom/start
const url = 'https://api.ultimateteam.ai/api/v1/warroom/start';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"participants":["example"],"topic":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/warroom/start \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "participants": [ "example" ], "topic": "example" }'Create a multi-agent discussion session on a business topic.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
StartRequest
Request body for starting a war room session.
Attributes: topic: The business topic for discussion. participants: Agent roles to include in the session.
object
participants
required
Participants
Agent roles to include
Array<string>
topic
required
Topic
Business topic to discuss
string
Examplegenerated
{ "participants": [ "example" ], "topic": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
StartResponse
Response envelope for POST /warroom/start.
Attributes: data: Session creation result.
object
data
required
StartResponseData
Data payload for start session response.
Attributes: session_id: Unique identifier for the war room session.
object
session_id
required
Session Id
string
Examplegenerated
{ "data": { "session_id": "example" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}